# API Reference

- [Nullify API](https://docs.nullify.ai/api-reference/api-reference.md)
- [Authentication](https://docs.nullify.ai/api-reference/api-reference/authentication.md): Authenticate with the Nullify REST API to access endpoints
- [Pagination](https://docs.nullify.ai/api-reference/api-reference/pagination.md)
- [Admin](https://docs.nullify.ai/api-reference/api-reference/api-admin.md): General admin API endpoints for Nullify.
- [Code Review API](https://docs.nullify.ai/api-reference/api-reference/code-review.md): Query code review findings and events via the Nullify API
- [Dependency Analysis API](https://docs.nullify.ai/api-reference/api-reference/dependency-analysis.md): Query dependency analysis events and findings via the Nullify API
- [Secrets & Data API](https://docs.nullify.ai/api-reference/api-reference/secrets-guardrails.md): Query secrets and PII findings via the Nullify API
- [Pentester API](https://docs.nullify.ai/api-reference/api-reference/pentester.md): Manage hands-off pentester engagements via the Nullify API
- [Cloud Audits API](https://docs.nullify.ai/api-reference/api-reference/cloud-audits.md): Query cloud audit inventories and posture findings via the Nullify API
- [OpenAPI Specification](https://docs.nullify.ai/api-reference/api-reference/openapi-spec.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nullify.ai/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
